.eui-dialog-container .eui-dialog .eui-dialog__content {
  .eui-dialog__header {
    padding: 0;
  }
  .eui-dialog__body-content {
    padding: 0;
  }
  .eui-dialog__footer {
    background: var(--eui-c-white);
    padding: 0 !important;
  }
}

.popup-header {
  display: flex;
  justify-content: space-between;
  padding: var(--eui-s-m) var(--eui-s-m) var(--eui-s-m) var(--eui-s-3xl);
  &-left {
    display: flex;
    align-items: center;
  }
}

.popup-content {
  display: flex;
  flex-direction: column;
  padding: var(--eui-s-3xl);
  &.no-padding {
    padding: 0;
  }
}

.popup-footer {
  display: flex;
  flex-direction: column;
  background: var(--eui-c-white);
  padding: var(--eui-s-xl) var(--eui-s-3xl);
  &-header {
    display: flex;
    flex-direction: row-reverse;
  }
  &-buttons {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
}

.dialog-text-group {
  display: flex;
  flex-direction: column;
  margin-left: var(--eui-s-l);
}

.dialog-text-icon {
  display: flex;
  justify-content: center;
  border-radius: 50%;
  padding: var(--eui-s-xl);
  max-width: 100px;
  max-height: 100px;

  &-danger {
    background-color: var(--eui-c-danger-light);
  }

  &-warning {
    background-color: var(--eui-c-accent-lightest);
  }
}

.dialog-text-danger {
  color: var(--eui-c-danger);
}

.dialog-text-success {
  color: var(--eui-c-success);
}

.confirm-message {
  display: flex;
}

.read-all-lnk {
  color: var(--eui-c-primary);
  text-decoration: underline;
  &:hover {
    cursor: pointer;
  }
}

.description-content {
  width: 100%;
  min-height: 250px;
  overflow-y: auto;
}
